//
//  ViewController.m
//  GrowthDemo
//
//  Created by Rupani Dhaval on 09/04/14.
//  Copyright (c) 2014 Aarin. All rights reserved.
//

#import "ViewController.h"

@interface DataModel : NSObject
@property (nonatomic,retain) NSString *territory1;
@property (nonatomic, assign) double cost1;
@property (nonatomic, assign) double cost;

@end

@implementation DataModel
@synthesize cost1, territory1,cost;
@end

@interface ViewController ()
{
    NSArray *territories;
    NSMutableArray *arr1,*arr2;
}
@end

@implementation ViewController

@synthesize data = data;

- (void)viewDidLoad
{
    [super viewDidLoad];
	
    arr1 = [[NSMutableArray alloc] initWithObjects:@"-0.1382",@"-0.0672",@"-0.1235",@"-0.1241", nil];
    
    [self generateData];
    
    IGCategorySeriesDataSourceHelper *source = [[IGCategorySeriesDataSourceHelper alloc] init];
    source.data = data;
    
    source.valuePath = @"cost1";
    source.labelPath = @"territory1";
    
    IGChartView *infraChart = [[IGChartView alloc] initWithFrame:self.view.frame];
    [infraChart setAutoresizingMask:UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight];
    infraChart.delegate = self;
    
    IGCategoryXAxis *xAxis = [[IGCategoryXAxis alloc] initWithKey:@"xAxis"];
    IGNumericYAxis *yAxis = [[IGNumericYAxis alloc] initWithKey:@"yAxis"];
    [infraChart addAxis:xAxis];
    [infraChart addAxis:yAxis];
    
    
    
    IGColumnSeries *colSeries = (IGColumnSeries *) [infraChart addSeriesForType:[IGColumnSeries class] usingKey:@"colseries" withDataSource:source firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    
    IGChartThemeDefinition *def = [IGChartDefaultThemes DefaultTheme];
    infraChart.theme = def;
    [self.view addSubview:infraChart];
    
}



- (NSString *)chartView:(IGChartView *)chartView labelForAxis:(IGAxis *)axis withItem:(NSObject *)item
{
    if([axis.key isEqualToString:@"xAxis"])
        return ((IGCategoryPoint *)item).label;
    else if ([axis.key isEqualToString:@"yAxis"])
    {
        return [NSNumberFormatter localizedStringFromNumber:@([(NSNumber *)item floatValue])
                                                numberStyle:NSNumberFormatterPercentStyle];
    }
    
    return nil;
}


-(void)generateData
{
    territories = [NSArray arrayWithObjects:@"C52WP", @"C26WP", @"C13WP", @"C4WP", nil];
    
    data = [[NSMutableArray alloc] init];
    for (int i = 0; i < 4; i++) {
        DataModel *graphObject = [[DataModel alloc] init];
        //        double value = -(rand() % 10);
        graphObject.territory1 = [territories objectAtIndex:i];
        graphObject.cost1 = [[arr1 objectAtIndex:i]doubleValue];
        [data addObject:graphObject];
    }
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
